package tinydisplay

import (
	"fyne.io/fyne/v2"
)

var keyMaps = map[fyne.KeyName]uint16{
	fyne.KeyEscape:    0x100,
	fyne.KeyReturn:    0x101,
	fyne.KeyTab:       0x102,
	fyne.KeyBackspace: 0x103,
	fyne.KeyInsert:    0x104,
	fyne.KeyDelete:    0x105,
	fyne.KeyRight:     0x106,
	fyne.KeyLeft:      0x107,
	fyne.KeyDown:      0x108,
	fyne.KeyUp:        0x109,
	fyne.KeyPageUp:    0x10A,
	fyne.KeyPageDown:  0x10B,
	fyne.KeyHome:      0x10C,
	fyne.KeyEnd:       0x10D,

	fyne.KeyF1:  0x122,
	fyne.KeyF2:  0x123,
	fyne.KeyF3:  0x124,
	fyne.KeyF4:  0x125,
	fyne.KeyF5:  0x126,
	fyne.KeyF6:  0x127,
	fyne.KeyF7:  0x128,
	fyne.KeyF8:  0x129,
	fyne.KeyF9:  0x12A,
	fyne.KeyF10: 0x12B,
	fyne.KeyF11: 0x12C,
	fyne.KeyF12: 0x12D,

	fyne.KeyEnter: 0x101,

	fyne.Key0: '0',
	fyne.Key1: '1',
	fyne.Key2: '2',
	fyne.Key3: '3',
	fyne.Key4: '4',
	fyne.Key5: '5',
	fyne.Key6: '6',
	fyne.Key7: '7',
	fyne.Key8: '8',
	fyne.Key9: '9',
	fyne.KeyA: 'A',
	fyne.KeyB: 'B',
	fyne.KeyC: 'C',
	fyne.KeyD: 'D',
	fyne.KeyE: 'E',
	fyne.KeyF: 'F',
	fyne.KeyG: 'G',
	fyne.KeyH: 'H',
	fyne.KeyI: 'I',
	fyne.KeyJ: 'J',
	fyne.KeyK: 'K',
	fyne.KeyL: 'L',
	fyne.KeyM: 'M',
	fyne.KeyN: 'N',
	fyne.KeyO: 'O',
	fyne.KeyP: 'P',
	fyne.KeyQ: 'Q',
	fyne.KeyR: 'R',
	fyne.KeyS: 'S',
	fyne.KeyT: 'T',
	fyne.KeyU: 'U',
	fyne.KeyV: 'V',
	fyne.KeyW: 'W',
	fyne.KeyX: 'X',
	fyne.KeyY: 'Y',
	fyne.KeyZ: 'Z',

	fyne.KeySpace:        ' ',
	fyne.KeyApostrophe:   '\'',
	fyne.KeyComma:        ',',
	fyne.KeyMinus:        '-',
	fyne.KeyPeriod:       '.',
	fyne.KeySlash:        '/',
	fyne.KeyBackslash:    '\\',
	fyne.KeyLeftBracket:  '[',
	fyne.KeyRightBracket: ']',
	fyne.KeySemicolon:    ';',
	fyne.KeyEqual:        '=',
	fyne.KeyAsterisk:     '*',
	fyne.KeyPlus:         '+',
	fyne.KeyBackTick:     '`',
}
